QGIS fails to print ecw image in composer

2011-11-07 04:36 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14427

Description

I can't seem to print any ecw raster images.

    -  Export to PDF only exports vector layers.

    -  Printing to the normal print drivers only prints.

    -  Export as Image works as expected with raster shown.

Tried all the settings in the composer and different sizes.

History

#1 - 2011-11-07 07:33 PM - Nathan Woodrow

This seems to be related to memory.

I can print using a A4 and A3 with nothing else running but anything above A3 and QGIS just prints the vectors.  Memory usage with ecw at time of print is

~700mb, some of this would be caused by the caching that GDAL does with ECWs.

I tested opening and printing an ecw using uDig (also uses GDAL) and while slow to print still renders correctly.

#2 - 2011-11-08 07:52 AM - Marco Hugentobler

Does it work on Linux? If yes, then it might be a 32bit issue. My experience is that large scale printing works with the 64bit versions (windows installer is

compiled in 32bit compatibility mode, therefore can only use 2GB memory). I haven't tried ECW though, only geotiff.

#3 - 2011-11-08 07:55 PM - Nathan Woodrow

I haven't tested it with Linux yet but I'm not sure it is related to being 32bit.  I'm only running 32bit XP and uDig is only a 32bit app and it prints it fine.

#4 - 2011-11-08 08:57 PM - Nathan Woodrow

- File A0.LOG added

- File A4.LOG added

Attached is the log file for both A4 and A0.

Seems that createNextPartImage() and readBlock() are called a lot but most of the values are the same for about three calls each.
#5 - 2011-11-18 08:53 AM - Giovanni Manghi

Nathan Woodrow wrote:

This seems to be related to memory.

I have also evidence that such problems (not only with ecws) are related to memory management in Windows, especially XP.

Please give it a try with a Windows Vista/Seven 32/64 bit installation and/or Linux.

If the problem does not surface on Vista/Seven (as I believe), then I would say that we can consider XP obsolete ;)

#6 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#7 - 2011-12-24 01:14 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Feedback

Did you tested on Linux or 64bit Windows?

#8 - 2012-04-16 05:41 AM - Giovanni Manghi

probably duplicate of #4821

#9 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#10 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#11 - 2012-10-04 09:32 AM - Giovanni Manghi

Hi Nathan, any feedback about this issue? Isn't a probable duplicate of #4821?

#12 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#13 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#14 - 2014-06-22 04:13 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
Closing for lack of feedback.

Files

A0.LOG 81.7 KB 2011-11-08 Nathan Woodrow

A4.LOG 27.4 KB 2011-11-08 Nathan Woodrow
